Description

When a template is missing, this message is added to the logs:

Missing template, responding with 404

 We could complete this message with useful details. For instance:

Missing partial issues/_list_simple with {:locale=>[:fr, :en], :formats=>[:html], :variants=>[], :

handlers=>[:erb, :builder, :raw, :ruby, :rsb]}. Searched in:

  * "/redmine/app/views" 

 Here is my current patch:

 app/controllers/application_controller.rb | 4 ++--

 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app/controllers/application_controller.rb b/app/controllers/application_controller.rb

index a05f54077..a71103a89 100644

--- a/app/controllers/application_controller.rb

+++ b/app/controllers/application_controller.rb

@@ -502,8 +502,8 @@ class ApplicationController < ActionController::Base

   end

   # Handler for ActionView::MissingTemplate exception

-  def missing_template

-    logger.warn "Missing template, responding with 404" 

+  def missing_template(exception)

+    logger.warn "Missing template, responding with 404: #{exception}" 

     @project = nil

     render_404

   end

--

Associated revisions

Revision 17174 - 2018-01-11 13:29 - Go MAEDA

Log exception's message when ActionView::MissingTemplate is raised (#26341).

Patch by Vincent Robert.

History

#1 - 2017-07-04 11:20 - Pavel Rosický

+1

#2 - 2017-07-04 11:30 - Marius BĂLTEANU

+ 1. Very useful.

#3 - 2017-07-04 12:16 - Go MAEDA
- Target version set to Candidate for next minor release

+1

I also suffered from this error when r16401 was committed.

#4 - 2017-07-11 04:01 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

#5 - 2017-07-11 09:59 - Go MAEDA

- Category set to Administration

#6 - 2017-07-27 14:12 - Angelinsky7 Angelinsky7

+1

#7 - 2017-08-22 13:10 - Toshi MARUYAMA

- Subject changed from Add useful details to error message to Add useful details to error message when a template is missing

#8 - 2018-01-11 13:32 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for submitting the patch.
